commit:     5386b92539e56fbcf92fc4002035cdd4a37afc4e
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Mar 28 18:25:50 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Mar 28 18:25:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5386b925

dev-python/ioflo: Version bump to 1.7.5

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/ioflo/Manifest           |  1 +
 dev-python/ioflo/ioflo-1.7.5.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/dev-python/ioflo/Manifest b/dev-python/ioflo/Manifest
index fc7e30213c5..7238bf41394 100644
--- a/dev-python/ioflo/Manifest
+++ b/dev-python/ioflo/Manifest
@@ -1,2 +1,3 @@
 DIST ioflo-1.5.0.tar.gz 765559 BLAKE2B 
56b3e26b6155cf8fbc5f159909d3a82a6c9b47251c799e4f6ef300015d0b55f54882e26534314fc3c04e20248aaedc9a35a1ff1c574cfb5dd3d1f7aa887340da
 SHA512 
114dd5ab3ab5bbe66be7e639c2018256ff1c8ab18ba73931733dbe23c8f65631fd630f278b0a186303e288a6f49cd6df224dda462973cc258b3d07114e70c991
 DIST ioflo-1.7.4.tar.gz 834916 BLAKE2B 
241026d18f8caa6acc09f312a285a3f824128d6018ab19a8704296f916514f7795b8f2359dcf46c04d01735140a75c980458d5589d72de59fc73f13c59b50b14
 SHA512 
415b43b66c1be479e8ba4fc993f180418f95f1ae0d16ff8c496476da7a04f6caa0f918a064c60034cd926f4f49c1112946b911b57339a76ee5b0d2564ade224f
+DIST ioflo-1.7.5.tar.gz 838342 BLAKE2B 
2eff6af7586400ff562999679b861079184757c951e006d2f300ec894dd17fa9c2ed975781109f6d3bd2cabf0e038ccf81d9f9aeac742313eedaabb59b5a1c82
 SHA512 
886767d72c4067727d47652fba157a76ecd8a6a5478a761feb3923992ffc585addfe892027ade104c5d44a56fd1645c0548ce3b554553f58e1104864c359470b

diff --git a/dev-python/ioflo/ioflo-1.7.5.ebuild 
b/dev-python/ioflo/ioflo-1.7.5.ebuild
new file mode 100644
index 00000000000..7c1d5d22166
--- /dev/null
+++ b/dev-python/ioflo/ioflo-1.7.5.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python{2_7,3_5,3_6,3_7})
+inherit distutils-r1
+
+DESCRIPTION="Automated Reasoning Engine and Flow Based Programming Framework"
+HOMEPAGE="https://github.com/ioflo/ioflo/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       sed -e 's:"setuptools_git[^"]*",::' -i setup.py || die
+       distutils-r1_python_prepare_all
+}

Reply via email to